Configurations

Manage check configuration, notification channels and maintenance windows.

Manage advanced monitoring settings for your websites.

Authentication

All examples assume a bearer token:

BASE_URL="https://uptimeify.io"
TOKEN="<your-api-token>"

Check Configuration

Update Check Settings

PATCH /api/websites/:websiteId/check-config

Configure which aspects of the website should be monitored.

Request Body

{
  "checkSslEnabled": true,
  "checkHttpsRedirectEnabled": true,
  "checkStatusEnabled": true,
  "checkSizeEnabled": true,
  "checkResponseTimeEnabled": true,
  "checkKeywordEnabled": false,
  "checkDomainExpiryEnabled": true,
  "minPageSize": 1024,
  "maxPageSize": 5242880
}

Example (cURL):

curl -X PATCH \
  "$BASE_URL/api/websites/101/check-config" \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"checkSslEnabled":true,"checkHttpsRedirectEnabled":true,"checkStatusEnabled":true,"checkSizeEnabled":true,"checkResponseTimeEnabled":true,"checkKeywordEnabled":false}'

Alerting Configuration

Alerting-related defaults and feature flags are configured via organization package configs.

See:

Notification Channels

Maintenance Windows

List Maintenance Windows

GET /api/maintenance-windows?websiteId=:websiteId

Get Maintenance Window

GET /api/maintenance-windows/:id

Create Maintenance Window

POST /api/maintenance-windows

Update Maintenance Window

PATCH /api/maintenance-windows/:id

Delete Maintenance Window

DELETE /api/maintenance-windows/:id

Check Maintenance (Website)

GET /api/maintenance-windows/check/:websiteId

Check Maintenance (Batch)

POST /api/maintenance-windows/check/batch

Endpoints